/* General Demo Style */
@import url(//fonts.googleapis.com/css?family=Lato:300,400,700);

html { height: 100%; }

*:
*:after,
*:before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}

/* Clearfix hack by Nicolas Gallagher: http://nicolasgallagher.com/micro-clearfix-hack/ */
.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

body {
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 300;
    font-size: 17px;
    color: #333;
    overflow: scroll;
    overflow-x: hidden;
}

a {
	color: #555;
	text-decoration: none;
}

.container {
	width: 100%;
	position: relative;
}

.container > header {
	width: 90%;
	max-width: 1240px;
	margin: 0 auto;
	position: relative;
	padding: 0 30px 50px 30px;
}

.container > header {
	padding: 60px 30px 50px;
	text-align: center;
}

.container > header h1 {
	font-size: 34px;
	line-height: 38px;
	margin: 0 auto;
	font-weight: 700;
	color: #333;
}

.container > header h1 span {
	display: block;
	font-size: 20px;
	font-weight: 300;
}

@media screen and (max-width: 768px){
    .container > header {
        padding: 0px;
    }
}

/* Menu */
nav label, #hamburger {
  display: none;
}

nav {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

nav ul {
    display: inline-block;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li {
    display: inline-block;
}

.menu a {
    display:block;
    min-width:140px;
    text-align: center;
    text-decoration: none;
    padding: 1em;
}

.menu li:hover a {
    background: #19c589;
}

/* responsive menu */
@media screen and (max-width: 768px){
    nav label {
        display: inline-block;
        font-style: normal;
        font-size: 1.2em;
        padding: 10px;
        background: #19c589;
        text-align: right;
    }

    nav {
        display: flex;
        flex-flow: column wrap;
        justify-content: center;
    }
    /* Toggle show/hide menu on checkbox click */
    nav ul {
        display: none;
    }
    nav input:checked ~ ul {
        display: inline-block;
    }
}

.main > p {
	text-align: center;
	padding: 50px 20px;
}

/* Single content page */
.edito {
    width: 90%;
    max-width: 1240px;
    margin: 0 auto;
}

/* Single author page */
.author-main {
    width: 90%;
    max-width: 1240px;
    margin: 0 auto;
}

.author {
    display: flex;
    flex-direction: row;
}

.author-img {
    max-width: 50%;
}

.author-img img {
    width: 100%;
}

.author-content {
    max-width: 50%;
    padding-left: 1em;
    text-align: justify;
}

@media screen and (max-width: 768px){
    .author-main {
        width: 100%;
    }
    .author {
        flex-direction: column;
    }
    .author-img {
        max-width: 100%;
        margin: 0.2rem;
    }
    .author-content {
        max-width: 100%;
        margin: 0.2rem;
        padding-left: 0em;
    }
}


/* Single illustration page */
.illustrations-main {
    display: flex;
    flex-direction: row;
    width: 90%;
    max-width: 1240px;
    margin: 0 auto;
}

.illustrations {
    display: flex;
    flex-direction: column;
    width: 70%;
}

.illustrations img {
    max-width: 100%;
}

.illustration-content {
    position: sticky;
    width: 30%;
    align-self: flex-start;
    height: auto;
    top: 2rem;
}

@media screen and (max-width: 768px){
    .illustrations-main {
        width: 100%;
        flex-direction: column;
    }
    .illustrations {
        width: 100%;
    }
    .illustration-content {
        width: 100%;
    }
    figure {
        margin: 0.2rem;
    }
    .illustration-content {
        margin: 0.2rem;
    }
}

footer {
    text-align: center;
}

